---
lima_kilo_toolforge_deploy_repo: https://gitlab.wikimedia.org/repos/cloud/toolforge/toolforge-deploy
lima_kilo_toolforge_deploy_branch: main

lima_kilo_toolforge_deploy_components:
  - name: calico
    wait: true
  - name: image-config
  - name: cert-manager
    wait: true
  - name: registry-admission
    wait: true
  - name: volume-admission
  - name: jobs-api
  - name: jobs-emailer
  - name: envvars-api
  - name: envvars-admission
  - name: builds-builder
  - name: builds-api # deploying this depends on builds-builder
  - name: components-api
  - name: api-gateway
  - name: kyverno
  - name: maintain-kubeusers
  - name: maintain-harbor
  - name: wmcs-k8s-metrics
  - name: ingress-nginx
  - name: ingress-admission

lima_kilo_k8s_other_custom_components:
  - name: foxtrot-ldap
    git_url: https://gitlab.wikimedia.org/repos/cloud/toolforge/foxtrot-ldap
    build: docker build --tag foxtrot-ldap:latest .
    deploy: ./deploy.sh --wait
